## net.sf.saxon.xqj
Class SaxonXQSequenceType

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQSequenceType

All Implemented Interfaces:
  XQSequenceType

    public class SaxonXQSequenceType

extends Object
implements XQSequenceType

Created by IntelliJ IDEA. User: Mike Date: 14-May-2006 Time: 20:36:38 To change this template use File | Settings | File Templates.

Field Summary

Fields inherited from interface net.sf.saxon.javax.xml.xquery.XQSequenceType
`OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE, OCC_ZERO_OR_ONE`

Method Summary
`int` `getItemOccurrence()`
`XQItemType` `getItemType()`
`String` `getString()`
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getItemOccurrence

    public int getItemOccurrence()

  Specified by:
    `getItemOccurrence` in interface `XQSequenceType`

### getItemType

    public XQItemType getItemType()

  Specified by:
    `getItemType` in interface `XQSequenceType`

### getString

    public String getString()

  Specified by:
    `getString` in interface `XQSequenceType`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright (C) Michael H. Kay. All rights reserved.